"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fsExtra = require("fs-extra");
const path = require("path");
class Assets {
    static pulseaudioService() {
        return this.readFile('pulseaudio.service');
    }
    static pulseaudioAsoundConf() {
        return this.readFile('pulse_asound.conf');
    }
    static pulseaudioAecService() {
        return this.readFile('pulseaudio-aec.service');
    }
    static pulseaudioSnipsAudioServerService() {
        return this.readFile('pulseaudio_snips-audio-server.service');
    }
    static pgpKey() {
        return this.readFile('snips-pgp-key.asc');
    }
    static homeAssistantPythonSystemdService() {
        return this.readFile('home-assistant.service');
    }
    static readFile(name) {
        return fsExtra.readFileSync(path.join(__dirname, name), 'utf8');
    }
}
exports.Assets = Assets;
