"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
class CLI {
    constructor() {
        try {
            this.stream = new utils_1.Stream(process.stdout);
            this.prompt = new utils_1.Prompt(this.stream);
            this.config = new utils_1.Config();
        }
        catch (e) {
            this.stream.error(e);
        }
        utils_1.versionUpdateNotifier();
    }
}
exports.CLI = CLI;
exports.cli = new CLI();
exports.default = exports.cli;
