"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AssistantFile {
    constructor(file) {
        const json = JSON.parse(file);
        const assistant = Object.assign(json);
        assistant.platform = json['platform']['type'];
        assistant.asr = json['asr']['type'];
        assistant.intents = json['intents'].map(intent => new AssistantFileIntent(intent));
        return assistant;
    }
}
exports.AssistantFile = AssistantFile;
class AssistantFileIntent {
    constructor(json) {
        return Object.assign(json);
    }
}
exports.AssistantFileIntent = AssistantFileIntent;
class AssistantFileIntentSlot {
    constructor(json) {
        return Object.assign(json);
    }
}
exports.AssistantFileIntentSlot = AssistantFileIntentSlot;
