"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeviceStatus;
(function (DeviceStatus) {
    DeviceStatus[DeviceStatus["LIVE"] = 0] = "LIVE";
    DeviceStatus[DeviceStatus["LIVE_NO_ASSISTANT"] = 1] = "LIVE_NO_ASSISTANT";
    DeviceStatus[DeviceStatus["NOT_LIVE"] = 2] = "NOT_LIVE";
})(DeviceStatus = exports.DeviceStatus || (exports.DeviceStatus = {}));
class Device {
    constructor(name, osVersion = undefined, snipsVersion = undefined, samVersion = undefined, status = DeviceStatus.NOT_LIVE) {
        this.name = name;
        this.osVersion = osVersion;
        this.snipsVersion = snipsVersion;
        this.samVersion = samVersion;
        this.status = status;
    }
}
exports.Device = Device;
