"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const skill_1 = require("./skill");
const yaml = require('js-yaml');
class Snipsfile {
    constructor(file) {
        const doc = yaml.safeLoad(file);
        this.assistantId = doc.assistant_id;
        if (doc.skills) {
            this.skills = doc.skills.map(skill => {
                let newSkill;
                try {
                    newSkill = new skill_1.Skill(skill);
                    return newSkill;
                }
                catch (e) {
                }
            });
        }
        else {
            this.skills = [];
        }
    }
}
exports.Snipsfile = Snipsfile;
