/// <reference types="yargs" />
import * as yargs from 'yargs';
export declare class ArgParser {
    args: string[];
    argd: {
        [key: string]: string;
    };
    constructor(argv: yargs.Argv);
    static getKeyValues(args: string[]): {
        [key: string]: string;
    };
    getValue(key: string): string | undefined;
    getArgd(omitKeys: string[]): {
        [key: string]: string;
    };
}
