/// <reference types="node" />
export declare const timeout: (ms: number) => Promise<{}>;
export declare class Deferred<T> {
    promise: Promise<T>;
    resolve: (value?: T | PromiseLike<T>) => void;
    reject: (reason?: any) => void;
    timeoutTimer: NodeJS.Timer;
    constructor(timeout: number | undefined);
}
