export declare class Assistant {
    id: string;
    title: string;
    language: string;
    asrType: string;
    hotword: string;
    constructor(title: string, language: string, asrType: string, hotword: string);
    static fromJSON: (json: any) => Assistant | undefined;
}
export declare class AssistantStatus {
    inProgress: boolean;
    needTraining: boolean;
    approximateDownloadSize: number;
    trainingResult: string;
    constructor(json: any);
}
export declare class ASRTrainingStatus {
    assistantId: string;
    status: string;
    failure: string;
    constructor(json: any);
}
