export declare enum DeviceStatus {
    LIVE = 0,
    LIVE_NO_ASSISTANT = 1,
    NOT_LIVE = 2,
}
export declare class Device {
    name?: string;
    osVersion?: string | undefined;
    snipsVersion?: string | undefined;
    samVersion?: string | undefined;
    status: DeviceStatus;
    constructor(name?: string, osVersion?: undefined, snipsVersion?: undefined, samVersion?: undefined, status?: DeviceStatus);
}
export interface DeviceCredentials {
    hostname: string;
    username: string;
}
