/// <reference types="node" />
export declare class Stream {
    private output;
    private tab;
    constructor(output: NodeJS.WriteStream);
    loading(text: string): void;
    update(text: string): void;
    stop(): void;
    stopAndClear(): void;
    success(text?: string, fullColor?: boolean): void;
    successNoCheck(text: string): void;
    done(appendDone?: boolean): void;
    ok(text: string): void;
    error(text: string | undefined, fullColor?: boolean): void;
    errorPlain(text: string): void;
    warning(text: string): void;
    hint(text: string): void;
    println(text?: string | undefined): void;
    print(text: string): void;
    log(tag: string, text: string): void;
}
